summaryrefslogtreecommitdiff
path: root/qa/045
diff options
context:
space:
mode:
Diffstat (limited to 'qa/045')
-rwxr-xr-xqa/04529
1 files changed, 29 insertions, 0 deletions
diff --git a/qa/045 b/qa/045
new file mode 100755
index 0000000..d1e7650
--- /dev/null
+++ b/qa/045
@@ -0,0 +1,29 @@
+#! /bin/sh
+# PCP QA Test No. 045
+# pmstore and numval == 0 or numval < 0
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+trap "rm -f $tmp.*; exit 0" 0 1 2 3 15
+
+_filter()
+{
+ sed \
+ -e 's/Permission denied/No permission to perform requested operation/'
+}
+
+# real QA test starts here
+pmstore sample.needprofile 1 | _filter
+
+pmstore -i terry sample.needprofile 1 | _filter
+
+pmstore sample.noinst 1 | _filter
+